# Application.FormCollection

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (2.2.0.0)

Holds the collection of all top-level application forms.

{% tabs %}
{% tab title="C#" %}

```csharp
public class FormCollection : ICollection, IEnumerable
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class FormCollection
    Inherits ICollection
    Implements IEnumerable
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/-MTRl851gGvQXMvSEG1f)Count

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns the total number of currently open forms.

### ![](/files/-MTRl851gGvQXMvSEG1f)Item(index)

[Form](/api/v2.2/wisej.web/containers/form.md): Returns the form at the specified index.

### ![](/files/-MTRl851gGvQXMvSEG1f)Item(name)

[Form](/api/v2.2/wisej.web/containers/form.md): Returns the first form with the specified name, the search is case insensitive.

## Methods

### ![](/files/-MTRl851gGvQXMvSEG1f)GetEnumerator()

Returns an enumerator that iterates through the open forms.

**Returns:** [IEnumerator](https://docs.microsoft.com/en-us/dotnet/api/system.collections.ienumerator).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v2.2/wisej.web/general/application/wisej.web.application.formcollection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
